1
Thank you for your review
Free
http://www.macupdate.com/download/33820/keystone-1.1.zip
Email me when discounted: 
Keystone adds custom keyword searches to Safari. Type simple queries such as "wiki Mac OS X" directly into the address bar, and Keystone will translate them into searches in this case, opening the Mac OS X page on Wikipedia.

Keystone works along side of Safari's own completion system, which means you can choose which completions you want to use. It also includes autodiscovery, allowing you to turn any search field into a Keystone shortcut.

What's New

Version 1.1.2:
  • Keystone can now export and import its settings, in order to make migration to a new user account easier. (Apple's Migration Assistant tool should continue to include Keystone's settings as well.)
  • Bug fix: autodiscovery now works for Google Maps.

Requirements

  • Mac OS X 10.5 or later
  • Safari 4 or later
  • Requires a recent version of SIMBL to work

Similar Software

Open Comparison
Suggest Other Similar Software
Leave a Review

Keystone User Discussion

Nobody has reviewed or commented on this app yet. Add your own comment and get a discussion going!
Sort by: Time | Smiles
Xenophile Member IconComment+693
Xenophile
+0

Developer's site reports this is no longer actively developed. I've been using Glims for this functionality and it works beautifully, plus it has a crap ton of other features.

Reply0 replies
Version 1.1.2
sjk Member IconComment+995
sjk
+0

Thanks for making this compatible with Safari 5.

Reply0 replies
Version 1.1
sjk Member IconComment+995
sjk
+0

Removing this block from under SIMBLTargetApplications in Info.plist in the bundle stops the SIMBL Error on 10.5.x:


BundleIdentifier
com.apple.Safari
MaxBundleVersion
6599
MinBundleVersion
6531


Having only one com.apple.Safari BundleIdentifier key, with MaxBundleVersion 6599 and MinBundleVersion 5528, would probably make it compatible with 10.5.x and 10.6.x but I can't test the latter.

Reply3 replies
Version 1.0.1
sjk
+0

Whoops - the open/close angle brackets were stripped from my post.

Jediknil (Developer)
+0

Good point. The more specific bounds checking has been moved into the app itself, and the SIMBL block covers both versions of Safari now.

sjk
+0

.
> The more specific bounds checking has been moved into the app itself, and the SIMBL block covers both versions of Safari now.

All's well with 1.0.2 here, as mentioned in email. Thanks!

sjk Member IconComment+995
sjk
+0

Not sure why MU has "Platform: Intel" and REQUIREMENTS "Mac OS X 10.6 or later". Developer site (http://belkadan.com/keystone/readme) says:

- First, make sure you are using Safari 4 on Mac OS X v10.5 or later.

… and Keystone.bundle is Universal.

PS: Instead of MU staff blindly deleting comments it would be polite to be notified, preferably with a reason why.

Reply3 replies
Version 1.0.1
MacUpdate-Lon
+0

For whatever reason, whoever in the developer's organization submitted incorrect info. It has now been corrected, hopefully.

sjk
+0

So far Keystone works fine with Safari 4.0.5 (5531.22.7) on my iMac G5 running 10.5.8, after a SIMBL Error dialog when Safari launches claiming the plugin hasn't been loaded.

sjk
+0

.
>It has now been corrected, hopefully.

Looks correct now, based on my previous reply (which I didn't see before yours). Thanks!

Before my next Safari relaunch I'll try adjusting the Info.plist file to get rid of the SIMBL Error I mentioned.

user icon+995
sjk
Version 1.1
> 4 1

Ratings

Overall
(1)
Current Version (1.x)
(1)

Details

Downloads 2,000
Version Downloads 530
License Free
Date 22 May 2012
Platform Intel 64 / OS X / PPC 32 / Intel 32 / PPC 64
Price Free
Learn how MacUpdate Desktop makes installing apps from MacUpdate.com one-click easy.
Next time, install Keystone with 1-click

Learn how MacUpdate Desktop can install apps on MacUpdate with the simple click of the Install apps with MacUpdate Desktop icon. Plus, keep all your apps updated. Play video...